Subject: Prof. Invoice ECU
From: <[email-masked]>
To: <[email-masked]>
Date: Thu, 4 Jul 2019 16:25:01 +0900

Hello Arlington,

We have attached the invoice so you can arrange the payment.

You can also pay through our PayPal option. Simply login to your account.

MY Account > Payment Option.

Please send me a copy of the receipt of payment so I can have account verify the transaction and process your order.

Regards

Akihito

IBC Parts

Help us serve you better. Please click here for your feedback.

From: Mr.Arlington James Belleau
To: [email-masked]
Sent: Thu, 07/04/2019 10:31 AM
Subject: RE: ECU

Good Day  please proceed with the order so I can pay with paypal

From: [email-masked] <[email-masked]>

Sent: Wednesday, July 3, 2019 10:40 AM

To: [email-masked]

Subject: ECU

Hi Arlington,

The price for the ECU have not change. Please review the quote and let us know if you will proceed with the order.

Used
ECU 89561-1121A
- 20,300 JPY (183 USD) starting bid

Shipping                          - 15,100 JPY (136 USD)

Handling                          -   2,500 JPY (23 USD)

Total                                - 37,900 JPY (342 USD)

By the way Dax no longer works for IBC but those of us who handles your request  are more than competent enough to provide the highest level of standard.

If there is anything you need please don't hesitate to contact us.

Regards

Akihito

IBC Parts

Help us serve you better. Please

click here for your feedback.

From: Mr.Arlington James Belleau

To: [email-masked]

Sent: Wed, 07/03/2019 11:30 AM

Subject: I need to speak to DAX please 7672456491

Sent from
Mail for Windows 10